package com.projectname.xslt;

import java.awt.*;
import java.awt.image.ImageObserver;

public class graph {

  static ImageObserver observer;
  static Image img;

  private static void init(String name) {
    Toolkit tk = Toolkit.getDefaultToolkit ();
    img = tk.getImage (name);
    observer = new ImageObserver () {
      public boolean imageUpdate (Image img, int flags,
                                  int x, int y, int w, int h) {
        return (flags & (ALLBITS | ABORT)) == 0;
      }
    };
    try {
      MediaTracker imageTracker = new MediaTracker (new Frame ());
      imageTracker.addImage (img, 0);
      imageTracker.waitForID (0);
    }
    catch (Exception e) {
      System.err.println (e.getMessage ());
    }
  }

  public static int geth (String name) {
    init (name);
    return img.getHeight (observer);
  }

  public static int getw (String name) {
    init (name);
    return img.getWidth (observer);
  }
}
