#!/bin/sh
saxon="java net.sf.saxon.Transform"
ERR=`$saxon -l $1 schema-compiled.xsl env=$3 2>&1`
ERR=$ERR`$saxon -l $1 schema2-compiled.xsl env=$3 2>&1`
if [ -z "$ERR" ]
then
  echo "Validation successful, transforming..."
  $saxon -o $2 $1 style.xsl env=$3
else
  echo $ERR
  exit 1
fi