<rule context="int | link[@linktype='internal']">
  <assert test="
      @link = (for $i in $master//(page|block)/(@id|@alias)
                 return tokenize($i, '\s+'))">
    Broken internal link: no 'page' with 
    @id="<value-of select="@link"/>" in the 
    master document. Valid identifiers are:
    <value-of select="
        string-join((for $i in $master//(page|block)/(@id|@alias)
                       return tokenize($i, '\s+')), ', ')"/>.
  </assert>
</rule>